Home
last modified time | relevance | path

Searched refs:resdir (Results 1 – 11 of 11) sorted by relevance

/linux/tools/testing/selftests/rcutorture/bin/
H A Dkvm-test-1-run.sh10 # Usage: kvm-test-1-run.sh config resdir seconds qemu-args boot_args_in
38 resdir=${2}
39 if test -z "$resdir" -o ! -d "$resdir" -o ! -w "$resdir"
41 echo "kvm-test-1-run.sh :$resdir: Not a writable directory, cannot store results into it"
45 echo ' ---' Kconfig fragment at: $config_template >> $resdir/log
46 touch $resdir/ConfigFragment.input
57 echo " --- $1" >> $resdir/ConfigFragment.input
58 cat $T/Kconfig_args >> $resdir/ConfigFragmen
[all...]
H A Dkvm-test-1-run-qemu.sh23 resdir="$1"
24 if ! test -d "$resdir"
26 echo $0: Nonexistent directory: $resdir
29 if ! test -f "$resdir/qemu-cmd"
31 echo $0: Nonexistent qemu-cmd file: $resdir/qemu-cmd
38 grep '^#' $resdir/qemu-cmd | sed -e 's/^# //' > $T/qemu-cmd-settings
47 sed -e 's/^[^#].*$/'"$taskset_command"'& 2>\&1 \&/' < $resdir/qemu-cmd > $T/qemu-cmd
53 echo "NOTE: $QEMU either did not run or was interactive" > $resdir/console.log
57 ( . $T/qemu-cmd; wait `cat $resdir/qemu-pid`; echo $? > $resdir/qemu-retval ) &
62 if test -s "$resdir/qemu-pid"
[all …]
H A Dmktestid.sh12 resdir="$1"
13 if test -z "${resdir}" || ! test -d "${resdir}" || ! test -w "${resdir}"
15 echo Path '"'${resdir}'"' not writeable directory, no ${resdir}/testid.txt.
18 echo Build directory: `pwd` > ${resdir}/testid.txt
21 echo Current commit: `git show --oneline --no-patch HEAD` >> ${resdir}/testid.txt
22 echo >> ${resdir}/testid.txt
23 echo ' ---' Output of "'"git status"'": >> ${resdir}/testi
[all...]
H A Dkvm-check-branches.sh
H A Dkvm-build.sh24 resdir=${2}
36 configinit.sh $T/config $resdir
45 make -j$((2 * ncpus)) $TORTURE_KMAKE_ARG > $resdir/Make.out 2>&1
47 …grep "rcu[^/]*": < $resdir/Make.out | grep -E -q "Stop|ERROR|Error|error:|warning:" || grep -E -q …
50 grep -E "Stop|Error|error:|warning:" < $resdir/Make.out
H A Dkvm.sh54 resdir=""
250 resdir=$2
334 if test -z "$resdir"
336 resdir=$RCUTORTURE/res
473 if ! test -e $resdir
475 mkdir -p "$resdir" || :
477 mkdir -p $resdir/$ds
478 TORTURE_RESDIR="$resdir/$ds"; export TORTURE_RESDIR
479 TORTURE_STOPFILE="$resdir/$ds/STOP.1"; export TORTURE_STOPFILE
480 echo Results directory: $resdir/
[all...]
H A Dconfiginit.sh24 resdir=$2
32 make clean > $resdir/Make.clean 2>&1
34 make $TORTURE_KMAKE_ARG $TORTURE_DEFCONFIG > $resdir/Make.defconfig.out 2>&1
38 yes '' | make $TORTURE_KMAKE_ARG oldconfig > $resdir/Make.oldconfig.out 2> $resdir/Make.oldconfig.e…
H A Dtorture.sh348 resdir="`grep '^Results directory: ' $T/$curflavor.out | tail -1 | sed -e 's/^Results directory: //'`"
349 if test -z "$resdir"
354 echo $resdir > $T/last-resdir
358 echo "$curflavor($retcode)" $resdir >> $T/successes
360 echo "$curflavor($retcode)" $resdir >> $T/failures
382 if test -e $T/last-resdir
384 mv $T/last-resdir $T/last-resdir-nodebug || :
391 if test -e $T/last-resdir
[all...]
H A Dkvm-remote.sh50 resdir="$T/res"
52 rundir=$resdir/$ds
238 if checkremotefile "$i" "$resdir/$ds/remote.run" 1>&2
242 …ssh -o BatchMode=yes "$i" "cd \"$resdir/$ds\"; touch remote.run; PATH=\"$T/bin:$PATH\" nohup kvm-r…
279 checkremotefile "$i" "$resdir/$ds/remote.run"
H A Dkvm-again.sh57 resdir="`pwd`/tools/testing/selftests/rcutorture/res"
58 rundir="$resdir/`date +%Y.%m.%d-%H.%M.%S-again`"
95 rundir="$resdir/$ds"
H A Dkvm-recheck.sh8 # Usage: kvm-recheck.sh resdir ...
32 resdir=`echo $i | sed -e 's,/$,,' -e 's,/[^/]*$,,'`
33 head -1 $resdir/log